Bug 432596 - Text installation of F9, after login, run 'startx' in command line, which leads to the system hang.
Text installation of F9, after login, run 'startx' in command line, which lea...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 02:46 EST by austin
Modified: 2008-06-10 18:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: F9GA
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-10 18:23:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg config (573 bytes, text/plain)
2008-02-18 03:45 EST, austin
no flags Details
xorg log file for console mode. (1.70 KB, text/plain)
2008-02-18 03:46 EST, austin
no flags Details
lspci (2.76 KB, text/plain)
2008-02-18 03:47 EST, austin
no flags Details

  None (edit)
Description austin 2008-02-13 02:46:25 EST
Description of problem:
Text installation of "Fedora 9" (sorry, I can not find the entry for F9 bug 
report), after login, run 'startx' in command line, which leads to the system 
hang.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. installation (text mode)
2. login
3. startx
  
Actual results:
system hang.

Expected results:
launch gfx GUI.

Additional info:
Happened in Intel stoakley platform (harpertown processor, ATI graphics card, 
F8 works well under the same platform. Meanwhile, the gfx mode installation in 
this platform will lead to system hang also, so I have to install system by 
text mode.)
Comment 1 Matěj Cepl 2008-02-13 05:37:29 EST
(There is no F9 released yet, so you file the bugs against Rawhide)

Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 austin 2008-02-18 03:44:44 EST
I attached the xorg.conf as below. As to Xorg.0.log, I can not get it after 
run 'startx' or booting the system as X11 mode ('5'), because the system will 
be no response once I try to enter into X11 mode (it should be crashed, I even 
can not remotely login by network.). I just attached the log file for console 
mode for your reference (maybe no useful). 
Comment 3 austin 2008-02-18 03:45:32 EST
Created attachment 295139 [details]
xorg config
Comment 4 austin 2008-02-18 03:46:51 EST
Created attachment 295140 [details]
xorg log file for console mode.
Comment 5 austin 2008-02-18 03:47:10 EST
Created attachment 295141 [details]
lspci
Comment 6 austin 2008-02-18 04:17:06 EST
>Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
>let X11 autodetect your display and video card? Attach to this bug
>/var/log/Xorg.0.log from this attempt as well, please.

The status is same with those above description, the system hung and I can not 
get the log file.

Comment 7 Matěj Cepl 2008-02-18 06:33:25 EST
The card is ATI Technologies Inc ES1000 despite repoter's email domain ;-).
Comment 8 Kim 2008-04-21 11:39:05 EDT
I have the same problem with Fedora 9 Preview (x86_64). In addition to the 
information already given I want to add that even graphical installation won't 
work so text mode is the only option. All attempts at starting the X server 
lead to a complete system freeze.

I am running an Intel Q6600 on an Asus P5E-VM HDMI motherboard (G35 chipset) 
using on-board graphics through the VGA connector.

Any suggestions on how this could be fixed? Fedora 8 runs well on the same 
platform.
Comment 9 Dave Airlie 2008-04-24 03:11:22 EDT
hmm not sure how best to deal with this,

try sync mounting / to see how much of the log file you can get.

mount -o remount,sync /

then just run Xorg

and on next boot grab /var/log/Xorg.0.log and attach it here.
Comment 10 Bug Zapper 2008-05-14 01:10:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Brennan Ashton 2008-06-08 00:19:02 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 12 austin 2008-06-09 23:33:55 EDT
Re-try the Fedora 9 GA x86_64, it works fine (ddn't see this issue in the same 
platform any more.) Thanks!
Comment 13 Matěj Cepl 2008-06-10 18:23:10 EDT
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.